API ReferenceInboxes
Unregister DID with an inbox
Roles
adminissuermanaged-issuer
Analytics Events
MESSAGING_INBOX_DID_UNREGISTER_STARTMESSAGING_INBOX_DID_UNREGISTER_SUCCESSMESSAGING_INBOX_DID_UNREGISTER_FAIL
DELETE
/v1/messaging/inboxes/{id}/dids/{did}Unregisters a DID from the requested inbox.
Analytic events
- MESSAGING_INBOX_DID_UNREGISTER_START
- MESSAGING_INBOX_DID_UNREGISTER_SUCCESS
- MESSAGING_INBOX_DID_UNREGISTER_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Requested inbox ID
did*string
DID
Response Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/messaging/inboxes/string/dids/did:key:z6Mkjr7vfzBfamiN6Wi6cyQUgTq6CEMXP1MzWQawsUEXJoa9"Empty
{
"code": "BadRequest",
"message": "Validation Error",
"details": [
{
"value": "notUUIDvalue",
"msg": "Invalid value",
"param": "inboxId",
"location": "params"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve inbox DIDs GET
Retrieves a list of all the DIDs registered with the requested inbox. ### **Analytic events** * MESSAGING_INBOX_DID_RETRIEVE_LIST_START * MESSAGING_INBOX_DID_RETRIEVE_LIST_SUCCESS * MESSAGING_INBOX_DID_RETRIEVE_LIST_FAIL
Retrieve all messages GET
Retrieving all the messages from an inbox ### **Analytic events** * MESSAGING_INBOX_MESSAGE_RETRIEVE_LIST_START * MESSAGING_INBOX_MESSAGE_RETRIEVE_LIST_SUCCESS * MESSAGING_INBOX_MESSAGE_RETRIEVE_LIST_FAIL